From: [email-masked] (James Mathiesen)

You may want to look at my grouper mods to INN 1.4 which are available
from ftp://ftp.brown.edu/pub/netnews/inn-1.4-patches/

Grouper is a rich list-management tool.   My patch to nnrpd has it
consult grouper to determine newsgroup visibility after authentication
has taken place.

We use Kerberos as an authentication mechanism and are managing several
hundre private newsgroups for a 13,000 user community w/ hardly a thought.

If you don't want to use Kerberos you should be able to modify nnrpd
to use /etc/passwd or some other authentication scheme with very little
trouble.